Users¶
Manage members on your Ning Network
Properties¶
- id (id) [Read only]
- The unique ID the user object
- author (screenname) [Read only]
- The screen name of the member who ones the profile
- createdDate (date) [Read only]
- The time stamp from when member joined the Ning Network
- updatedDate (date) [Read only]
- The time stamp from when the member last updated their profile
- featuredDate (date) [Read only]
- When the member was featured
- approved (boolean) [Read/Write]
- True if the administrator has approved the member. Note that setting this value to false is not supported. To reject a pending member you must send a DELETE request.
- visibility (visibility) [Read only]
- Who can view the members profile page
- email (string) [Read only]
- The members email address
- url (url) [Read only]
- URL for the member’s profile page on the Ning Network
- fullName (string) [Read only]
- The members name on the Ning Network
- iconUrl (url) [Read only]
- The URL for the member’s profile photo
- birthdate (date) [Read only]
- The day the member was born, for example 1980-07-18
- commentCount (int) [Read only]
- The number of comments on the member’s profile page
- gender (string) [Read only]
- The gender of the member.
- location (string) [Read only]
- A string containing the member’s city, country and zip code
- isOwner (boolean) [Read only]
- True if this member is the Network Creator
- isAdmin (boolean) [Read only]
- True if this member is the Network Creator or an administrator for this Ning Network. This value does not include members who have moderation permissions (roles).
- isMember (boolean) [Read only]
- True if this member is a member of the Ning Network
- isBlocked (boolean) [Read/Write]
- True if the member has been banned from the Ning Network
- state (string) [Read only]
- The precedence of the states is owner > admin > (member|pending|unfinished|unknown)
- statusMessage (string) [Read/Write]
- The current status message for this member
- profileQuestions (string) [Read only]
- An array of profile questions and their answers. For example: [ {"question" : "Your favorite color", "answer" : "blue" } ]
Note
The email and profileQuestions properties are only accessible by the Network Creator and the owner of the profile.
Sub-Properties¶
HTTP GET¶
/xn/rest/apiexample/1.0/User ¶
Retrieve specific member or a specific set of members. You can use any combination of id and author parameters, up to 100. If you make a request without the id or author parameters, the result will be the User resource for the member who made the request.
Optional Query Parameters:¶
- id (id)
- The ID of the member, multiple id parameters are allowed, up to 100.
- author (screenname)
- The screen name of the member, multiple author parameters are allowed, up to 100.
- fields (field)
- Comma-separated list of desired properties, this is only a hint to the server
/xn/rest/apiexample/1.0/User/recent ¶
Retrieve members sorted by createdDate
Optional Query Parameters:¶
- isMember (boolean)
- If true, only returns members in the admin, member, or owner states
- approved (boolean)
- If true, only retrieve approved members
- fields (field)
- Comma-separated list of desired properties, this is only a hint to the server
- anchor (string)
- An opaque token encodes the page of results returned, used in conjunction with count to page through a result set
- count (int)
- Returns one member by default and supports a maximum of 100. Also supports negative values down to -100 for retrieving members before the anchor.
/xn/rest/apiexample/1.0/User/alpha ¶
Retrieve members sorted by fullName
Optional Query Parameters:¶
- isMember (boolean)
- If true, only returns members in the admin, member, or owner states
- approved (boolean)
- If true, only retrieve approved members
- fields (field)
- Comma-separated list of desired properties, this is only a hint to the server
- anchor (string)
- An opaque token encodes the page of results returned, used in conjunction with count to page through a result set
- count (int)
- Returns one member by default and supports a maximum of 100. Also supports negative values down to -100 for retrieving members before the anchor.
/xn/rest/apiexample/1.0/User/featured ¶
Retrieve members sorted by featuredDate
Optional Query Parameters:¶
- isMember (boolean)
- If true, only returns members in the admin, member, or owner states
- approved (boolean)
- If true, only retrieve approved members
- fields (field)
- Comma-separated list of desired properties, this is only a hint to the server
- anchor (string)
- An opaque token encodes the page of results returned, used in conjunction with count to page through a result set
- count (int)
- Returns one member by default and supports a maximum of 100. Also supports negative values down to -100 for retrieving members before the anchor.